@import "../../../styles/variables/colors.scss";

.form-login__container {
    width: 500px;
    box-sizing: border-box;
    padding: 20px;
    background-color: $bg_brand;
    border-radius: 8px;
    box-shadow: 0px 0px 6px 0 $secondary_btn_bg;
    display: flex;
    flex-direction: column;
    align-items: center;

    .form-login__content {
        width: 100%;
        border-bottom: 1px solid $secondary_btn_bg;

        .form-login__form {
            width: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
            row-gap: 16px;
        }
    }

    .form-login__content.light-theme {
        border-bottom: 1px solid $gray_light-text;
    }

    .form-login__button {
        display: block;
    }

    .fb-button {
        width: 100%;
    }

    .fb-button.fb-green {
        width: 60%;
        margin-top: 20px;
    }
}

.form-login__container.light-theme {
    background-color: $white;
    box-shadow: 0px 0px 6px 0 $gray_light-text;
}

.form-login__reset-password-link {
    display: block;
    margin-top: 5px;
    margin-bottom: 20px;
    font-size: 14px;
    color: $gray_light-text;
    text-decoration: none;

    &:hover {
        text-decoration: underline;
        color: $blue_facebook-hover-medium;
    }
}

.form-login__reset-password-link.light-theme {
    color: $gray_border-hover-medium;
}

.form-login__success-registration {
    font-size: 20px;
    color: $green_button;
    margin-top: 10px;
    margin-bottom: 10px;
}
